package com.steerinfo.dil.service.impl;

import com.baomidou.mybatisplus.extension.api.R;
import com.steerinfo.dil.util.DataChange;
import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import com.steerinfo.dil.model.RmsCargodep;
import com.steerinfo.dil.mapper.RmsCargodepMapper;
import com.steerinfo.dil.service.IRmsCargodepService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import java.util.Date;
import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * RmsCargodep服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2022-05-07 12:00
 * 类描述
 * 修订历史：
 * 日期：2022-05-07
 * 作者：generator
 * 参考：
 * 描述：RmsCargodep服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "rmsCargodepService")
public class RmsCargodepServiceImpl  implements IRmsCargodepService {

    @Autowired
    private RmsCargodepMapper rmsCargodepMapper;

    //新增货权转移单位
    @Override
    public int insetCargoDep(Map<String, Object> map) {
        String cargoName = (String) map.get("cargoName");
        String cargoType = (String) map.get("cargoType");
        String userId = (String) map.get("userId");
        RmsCargodep rmsCargodep=new RmsCargodep();
        //根据货权转移送达单位查找是否重复
        BigDecimal searchNumberForCagoName = rmsCargodepMapper.searchNumberForCagoName(map);
        if (searchNumberForCagoName!=null&&searchNumberForCagoName.intValue()!=0){
            return -1;
        }
        rmsCargodep.setCargoCarrierId(rmsCargodepMapper.selectCargoId());
        rmsCargodep.setCargoCarrierName(cargoName);
        rmsCargodep.setCargoCarrierType(cargoType);
        rmsCargodep.setInsertUsername(userId);
        rmsCargodep.setInsertTime(new Date());
        rmsCargodep.setDeleted(new BigDecimal(0));
        int i = rmsCargodepMapper.insertSelective(rmsCargodep);
        return i;
    }

    //更改货权转移送达单位
    @Override
    public int updateCargoDep(Map<String, Object> mapValue) {
        String cargoName = (String) mapValue.get("cargoName");
        String cargoType =(String) mapValue.get("cargoType");
        String userId = (String) mapValue.get("userId");
        RmsCargodep rmsCargodep=new RmsCargodep();
        rmsCargodep.setCargoCarrierId(DataChange.dataToBigDecimal(mapValue.get("cargoId")));
        rmsCargodep.setCargoCarrierName(cargoName);
        rmsCargodep.setCargoCarrierType(cargoType);
        rmsCargodep.setUpdateName(userId);
        rmsCargodep.setUpdateTime(new Date());
        int i = rmsCargodepMapper.updateByPrimaryKeySelective(rmsCargodep);
        return i;
    }

    //删除货权转移送货单位
    @Override
    public int deleteCargoDep(Map<String,Object> map) {
        BigDecimal id = DataChange.dataToBigDecimal(map.get("cargoCarrierId"));
        String userId = (String) map.get("userId");
        RmsCargodep rmsCargodep=new RmsCargodep();
        rmsCargodep.setCargoCarrierId(id);
        rmsCargodep.setDeleted(new BigDecimal(1));
        rmsCargodep.setDeletedName(userId);
        return rmsCargodepMapper.updateByPrimaryKeySelective(rmsCargodep);
    }

    @Override
    public List<Map<String, Object>> getCargoDepList(Map<String, Object> mapValue) {
        return rmsCargodepMapper.getCargoDepList(mapValue);
    }

    //通过id获取数据
    @Override
    public List<Map<String, Object>> getCargoDepById(BigDecimal id) {
        List<Map<String, Object>> cargoDepByIdList = rmsCargodepMapper.getCargoDepById(id);
        return cargoDepByIdList;
    }
}
